Package com.sas.lsaf.security.acl

## Class AclEntry

- java.lang.Object
- - com.sas.lsaf.security.acl.AclEntry

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AclEntry
      extends java.lang.Object
      implements java.io.Serializable

  A data object that represents access permissions for an ACL principal.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AclEntry.PermissionValue` | PermissionValue is an enum that represents the possible values of a permission.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AclEntry()` | Zero-argument AclEntry constructor.
    `AclEntry​(Principal principal)` | AclEntry constructor
    `AclEntry​(Principal principal, AclEntry.PermissionValue adminPermission, AclEntry.PermissionValue readPermission, AclEntry.PermissionValue writePropertiesPermission, AclEntry.PermissionValue writeContentPermission, AclEntry.PermissionValue deletePermission)` | AclEntry constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` | Indicates whether another object is equal to this one.
    `AclEntry.PermissionValue` | `getAdminPermission()` | Gets the Admin permission for this ACL.
    `AclEntry.PermissionValue` | `getDeletePermission()` | Gets the Delete permission for this ACL.
    `Principal` | `getPrincipal()` | Gets the principal for this ACL.
    `AclEntry.PermissionValue` | `getReadPermission()` | Gets the Read permission for this ACL.
    `AclEntry.PermissionValue` | `getWriteContentPermission()` | Gets the Content Write permission for this ACL
    `AclEntry.PermissionValue` | `getWritePropertiesPermission()` | Gets the Properties Write permission for this ACL.
    `int` | `hashCode()` | Returns a hash code value for the object.
    `void` | `setAdminPermission​(AclEntry.PermissionValue admin)` | Sets the Admin permission for this ACL.
    `void` | `setDeletePermission​(AclEntry.PermissionValue delete)` | Sets the Delete permission for this ACL
    `void` | `setPrincipal​(Principal principal)` | Sets the principal for this ACL.
    `void` | `setReadPermission​(AclEntry.PermissionValue read)` | Sets the Read permission for this ACL.
    `void` | `setWriteContentPermission​(AclEntry.PermissionValue writeContent)` | Sets the Content Write permission for this ACL.
    `void` | `setWritePropertiesPermission​(AclEntry.PermissionValue writePropertiesPermission)` | Sets the Properties Write permission for this ACL.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AclEntry

          public AclEntry()

      Zero-argument AclEntry constructor.

    - #### AclEntry

          public AclEntry​(Principal principal)

      AclEntry constructor
      Parameters:
        `principal` -

    - #### AclEntry

          public AclEntry​(Principal principal,
                          AclEntry.PermissionValue adminPermission,
                          AclEntry.PermissionValue readPermission,
                          AclEntry.PermissionValue writePropertiesPermission,
                          AclEntry.PermissionValue writeContentPermission,
                          AclEntry.PermissionValue deletePermission)

      AclEntry constructor
      Parameters:
        `principal` - the principal in which to set the access permissions.
        `adminPermission` - the admin permission to assign to the principal.
        `readPermission` - Read permission to assign to the principal.
        `writePropertiesPermission` - the Properties Write permission to assign to the principal.
        `writeContentPermission` - the Content Write permission to assign to the principal.
        `deletePermission` - the Delete permission to assign to the principal.

  - ### Method Detail

    - #### getPrincipal

          public Principal getPrincipal()

      Gets the principal for this ACL.
      Returns:
        The Principal.

    - #### setPrincipal

          public void setPrincipal​(Principal principal)

      Sets the principal for this ACL.
      Parameters:
        `principal` -

    - #### getReadPermission

          public AclEntry.PermissionValue getReadPermission()

      Gets the Read permission for this ACL.
      Returns:
        The PermissionValue value that represents whether this permission will be honored.

    - #### setReadPermission

          public void setReadPermission​(AclEntry.PermissionValue read)

      Sets the Read permission for this ACL.
      Parameters:
        `read` - PermissionValue that contains the value of how to set the permission.

    - #### getWritePropertiesPermission

          public AclEntry.PermissionValue getWritePropertiesPermission()

      Gets the Properties Write permission for this ACL.
      Returns:
        The PermissionValue value that represents whether this permission will be honored.

    - #### setWritePropertiesPermission

          public void setWritePropertiesPermission​(AclEntry.PermissionValue writePropertiesPermission)

      Sets the Properties Write permission for this ACL.
      Parameters:
        `writePropertiesPermission` - The PermissionValue that contains the value of how to set the permission.

    - #### getDeletePermission

          public AclEntry.PermissionValue getDeletePermission()

      Gets the Delete permission for this ACL.
      Returns:
        The PermissionValue value that represents whether this permission will be honored.

    - #### setDeletePermission

          public void setDeletePermission​(AclEntry.PermissionValue delete)

      Sets the Delete permission for this ACL
      Parameters:
        `delete` - The PermissionValue that contains the value of how to set the permission.

    - #### getAdminPermission

          public AclEntry.PermissionValue getAdminPermission()

      Gets the Admin permission for this ACL.
      Returns:
        The PermissionValue value that represents whether this permission will be honored.

    - #### setAdminPermission

          public void setAdminPermission​(AclEntry.PermissionValue admin)

      Sets the Admin permission for this ACL.
      Parameters:
        `admin` - The PermissionValue that contains the value of how to set the permission.

    - #### getWriteContentPermission

          public AclEntry.PermissionValue getWriteContentPermission()

      Gets the Content Write permission for this ACL
      Returns:
        The PermissionValue value that represents whether this permission will be honored.

    - #### setWriteContentPermission

          public void setWriteContentPermission​(AclEntry.PermissionValue writeContent)

      Sets the Content Write permission for this ACL.
      Parameters:
        `writeContent` - The PermissionValue that contains the value of how to set the permission.

    - #### hashCode

          public int hashCode()

      Returns a hash code value for the object.
      Overrides:
        `hashCode` in class `java.lang.Object`
      See Also:
        `Object.hashCode()`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Indicates whether another object is equal to this one.
      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`